local frame=CreateFrame("Frame");
local IncAmount = 0
local total = 0
 
local function onUpdate(self,elapsed)
    if IncAmount >=1 then
	    total = total + elapsed
    	if total >= 1 then
	        SendChatMessage("[Radio] inc " .. MyCurrentLocation() .. " " .. IncAmount, "INSTANCE_CHAT")
    	    total = 0
    	    IncAmount = 0
		end
    end
end
 
local f = CreateFrame("frame")
f:SetScript("OnUpdate", onUpdate)

BINDING_HEADER_BGRADIO = "Battleground radio"
BINDING_NAME_Call_Inc = "Call Inc"

function MyCurrentLocation ()
	--Arathi 
	if (GetZoneText() == "Arathi Basin") then
	if (string.match(GetMinimapZoneText():lower(), "stables")) then return "ST"
		elseif (string.match(GetMinimapZoneText():lower(), "lumber mill")) then return "LM"
		elseif (string.match(GetMinimapZoneText():lower(), "blacksmith")) then return "BS"
		elseif (string.match(GetMinimapZoneText():lower(), "gold mine")) then return "GM"
		elseif (string.match(GetMinimapZoneText():lower(), "farm")) then return "farm" end
	--EOTS
	elseif (GetZoneText() == "Eye of the Storm") then
		if (string.match(GetMinimapZoneText():lower(), "mage tower")) then return "MT"
		elseif (string.match(GetMinimapZoneText():lower(), "draenei ruins")) then return "DR"
		elseif (string.match(GetMinimapZoneText():lower(), "fel reaver ruins")) then return "FRR"
		elseif (string.match(GetMinimapZoneText():lower(), "blood elf tower")) then return "BET" end
	--silvershard mines
	elseif (GetZoneText() == "Silvershard Mines") then
		return GetMinimapZoneText()
	--Deepwind Gorge
	elseif (GetZoneText() == "Deepwind Gorge") then
		if (string.match(GetMinimapZoneText():lower(), "panda")) then return "PANDA"
		elseif (string.match(GetMinimapZoneText():lower(), "goblin")) then return "GOBLIN"
		else return GetMinimapZoneText() end
	--Gilneas
	elseif (GetZoneText() == "The Battle for Gilneas") then
		if (string.match(GetMinimapZoneText():lower(), "lighthouse")) then return "LH"
		elseif (string.match(GetMinimapZoneText():lower(), "mine")) then return "MINE"
		elseif (string.match(GetMinimapZoneText():lower(), "waterworks")) then return "WW" end
	else
	return GetMinimapZoneText()
	end
end

function BGR_CallInc ()
	total = 0
	IncAmount = IncAmount + 1
	PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK.ogg", "master")
end

function MessagePop (node, author, msg)
	RaidNotice_AddMessage(RaidWarningFrame,msg:upper() .. " [ " .. author .. "]",{r=1.0,g=1.0,b=0}) --yellow
    PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\CLICK.ogg", "master")
    PlaySoundFile("Interface\\AddOns\\BGRadio\\SoundFiles\\EN_Woman_1\\".. node .. ".ogg", "master")
end

frame:RegisterEvent("CHAT_MSG_INSTANCE_CHAT_LEADER");
frame:RegisterEvent("CHAT_MSG_INSTANCE_CHAT");
frame:SetScript("OnEvent",function(self,event,msg,author)
 
	if (event=="CHAT_MSG_INSTANCE_CHAT" or event=="CHAT_MSG_INSTANCE_CHAT_LEADER") then
	if (UnitName("player")~=gsub(author, "%-[^|]+", "")) then
		if (GetZoneText() == "Arathi Basin") then
			if (string.match(msg:lower(), "st")) then MessagePop("AB_ST", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "lm")) then MessagePop("AB_LM", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "gm")) or (string.match(msg:lower(), "mine")) then MessagePop("GILNEAS_MINE", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "bs")) then MessagePop("AB_BS", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "farm")) then MessagePop("AB_FARM", gsub(author, "%-[^|]+", ""), msg) end
    	end
		if (GetZoneText() == "Eye of the Storm") then
			if (string.match(msg:lower(), "mt")) then MessagePop("EOTS_MT", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "dr")) then MessagePop("EOTS_DR", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "frr")) then MessagePop("EOTS_FRR", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "bet")) then MessagePop("EOTS_BET", gsub(author, "%-[^|]+", ""), msg) end
    	end    	
		if (GetZoneText() == "Silvershard Mines") then
			if (string.match(msg:lower(), "water")) or (string.match(msg:lower(), "mid")) then MessagePop("SSM_WATER", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "earth")) or (string.match(msg:lower(), "top")) then MessagePop("SSM_EARTH", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "lava")) or (string.match(msg:lower(), "bot")) then MessagePop("SSM_LAVA", gsub(author, "%-[^|]+", ""), msg) end
		end    
		if (GetZoneText() == "Deepwind Gorge") then
			if (string.match(msg:lower(), "panda")) or (string.match(msg:lower(), "top")) then MessagePop("DWG_PANDA", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "gob")) or (string.match(msg:lower(), "bot"))  then MessagePop("DWG_GOBLIN", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "center")) or (string.match(msg:lower(), "mid")) then MessagePop("DWG_CENTER", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "cart")) then MessagePop("DWG_CART", gsub(author, "%-[^|]+", ""), msg) end
    	end    	    
		if (GetZoneText() == "The Battle for Gilneas") then
			if (string.match(msg:lower(), "lh")) then MessagePop("GILNEAS_LH", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "mine")) then MessagePop("GILNEAS_MINE", gsub(author, "%-[^|]+", ""), msg) end
			if (string.match(msg:lower(), "ww")) then MessagePop("GILNEAS_WW", gsub(author, "%-[^|]+", ""), msg) end
    	end 
   end
end    
    
end);